Skip to content
Start here

Fetch all apps

GET/accounts/{account_id}/realtime/kit/apps

Fetch all apps for your account

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
Path ParametersExpand Collapse
account_id: string

The account identifier tag.

maxLength32
Query ParametersExpand Collapse
page_no: optional number

The page number from which you want your page search results to be displayed.

minimum1
per_page: optional number

Number of results per page.

minimum1
sort_order: optional "ASC" or "DESC"

Sort order for apps by creation time.

One of the following:
"ASC"
"DESC"
ReturnsExpand Collapse
data: optional array of object { id, created_at, name }
id: optional string
formatuuid
created_at: optional string
formatdate-time
name: optional string
paging: optional object { end_offset, start_offset, total_count }
end_offset: optional number
start_offset: optional number
total_count: optional number
success: optional boolean

Fetch all apps

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/realtime/kit/apps \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "data": [
    {
      "created_at": "2025-01-01T08:16:40.644Z",
      "id": "14a396e7-ca44-4937-bf1f-050a69118543",
      "name": "my-first-app"
    }
  ],
  "paging": {
    "end_offset": 1,
    "start_offset": 1,
    "total_count": 1
  },
  "success": true
}
Returns Examples
{
  "data": [
    {
      "created_at": "2025-01-01T08:16:40.644Z",
      "id": "14a396e7-ca44-4937-bf1f-050a69118543",
      "name": "my-first-app"
    }
  ],
  "paging": {
    "end_offset": 1,
    "start_offset": 1,
    "total_count": 1
  },
  "success": true
}